Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## gr.forth.ics.vrp.corevrp.model
Class RDF_Statement

    java.lang.Object
      |
      +--gr.forth.ics.vrp.corevrp.model.Resource
            |
            +--gr.forth.ics.vrp.corevrp.model.RDF_Resource
                  |
                  +--gr.forth.ics.vrp.corevrp.model.RDF_Statement

public class RDF_Statement
extends RDF_Resource

RDF_Statement.java - The class for Statements.

Method Summary
`Object` | `getobject()` Get the object of the statement.
`RDF_Property` | `getpredicate()` Get the predicate of the statement.
`Object` | `getsubject()` Get the subject of the statement.
`boolean` | `setobject(Object obj)` Enter the object to the statement.
`boolean` | `setpredicate(RDF_Property pred)` Enter the predicate to the statement.
`boolean` | `setsubject(Object subj)` Enter the subject to the statement.
`void` | `solve_links(Existing existing)` This method is for changing the Integer to links to the real java objects so, we do not need the HashTables any more.
`boolean` | `valid()` Returns true if all three (subject, predicate and object) are set (not null).

Methods inherited from class gr.forth.ics.vrp.corevrp.model.RDF_Resource
`addcomment, addisDefinedBy, addlabel, addseeAlso, addtype, addvalue, addvalue, getcomment, getisDefinedBy, getlabel, getseeAlso, gettype, getvalue, has_type, setcomment, setisDefinedBy, setlabel, setseeAlso, settype, setvalue`

Methods inherited from class gr.forth.ics.vrp.corevrp.model.Resource
`getID, setID`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Method Detail

### setsubject

    public boolean setsubject(Object subj)

  Enter the subject to the statement. Returns false in the case there exists already a different subject for this statement.

### getsubject

    public Object getsubject()

  Get the subject of the statement.

### setpredicate

    public boolean setpredicate(RDF_Property pred)

  Enter the predicate to the statement. Returns false in the case there exists already a different predicate for this statement.

### getpredicate

    public RDF_Property getpredicate()

  Get the predicate of the statement.

### setobject

    public boolean setobject(Object obj)

  Enter the object to the statement. Returns false in the case there exists already a different object for this statement.

### getobject

    public Object getobject()

  Get the object of the statement.

### valid

    public boolean valid()

  Returns true if all three (subject, predicate and object) are set (not null).

### solve_links

    public void solve_links(Existing existing)

  This method is for changing the Integer to links to the real java objects so, we do not need the HashTables any more.

  Overrides:
    `solve_links` in class `RDF_Resource`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD